optoKummenberg

Loading...
Searching...
No Matches
optoKummenberg.registers.MiscSystems.DeviceEEPROM Class Reference
Inheritance diagram for optoKummenberg.registers.MiscSystems.DeviceEEPROM:

## Public Member Functions
| __init__ (self, int channel=0, board=None)
| EEPROMLockEnable (self, enable=True)
| Enables/disables EEPROM writing.
| GetEEPROM (self, index, count)
| Gets the EEPROM data of the device connected to this channel.
| SetEEPROM (self, index, vector)
| Sets the EEPROM data of the device connected to this channel.
| VerifyEEPROM (self, index, vector)
| Compares stored EEPROM with vector provided as parameter.
| ReparseEEPROM (self)
| After writing new EEPROM, configuration needs to be reparsed by this method.
| GetSerialNumber (self)
| Gets the serial number of the device connected to this channel.
| GetEEPROMversion (self)
| Gets the EEPROM version of the device connected to this channel.
| GetEEPROMsubversion (self)
| Gets the EEPROM subversion of the device connected to this channel.
| GetPartConfig (self)
| Gets the part configuration of the device connected to this channel.
| GetPartConfigVersion (self)
| Gets the part configuration version of the device connected to this channel.
| GetMaxPosCurrent (self)
| Gets the maximum positive current value (as absolute value) of the device connected to this channel.
| GetMaxNegCurrent (self)
| Gets the maximum negative current value (as absolute value) of the device connected to this channel.
| GetOQCresult (self)
| Gets the OQC result of the device connected to this channel.
| GetProdTime (self)
| Gets the production timestamp of the device connected to this channel.
| GetEEPROMSize (self)
| Gets the size of the EEPROM (in bytes) of the device connected to this channel.
| SetSerialNumber (self, serial)
| SetMaxPosCurrent (self, posCurrent)
| SetMaxNegCurrent (self, negCurrent)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| __init__ (self, int or None channel=None, board=None)
| set_register (self, str or int register_name_or_id, value, bool set_internal=False)
| set_register_id (self, int register_id, value, type=None)
| get_register (self, str or int register_name_or_id)
| get_register_id (self, int register_id)
| get_register_names (self)

## Static Public Member Functions
| help ()

## Public Attributes
| channel = channel
int | sys_id = 0x21
dict | lock
dict | eeprom_version
dict | eeprom_subversion
dict | part_config
dict | part_config_version
dict | max_pos_current
dict | max_neg_current
dict | oqc_result
dict | prod_time
dict | reparse
dict | eeprom_size
dict | eeprom = {'id': self.sys_id << 8, 'type': bytes}
dict | serial_number = {'id': self.sys_id << 8 | 0x01, 'type': bytes}
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| name = self.__class__.__name__
| register_list = self._get_register_list()

## Protected Member Functions
| _SetEEPROMSegment (self, index, vector)
| _GetEEPROMSegment (self, index, count)
Protected Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| _get_register_list (self)

## Additional Inherited Members
Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| _channel = channel
| _board = board
Static Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
bool | _is_a_system = False

## Detailed Description

    Device Functionality - DeviceEEPROM Read/Write
    System ID: 0x21

    * | Address | Name                           | Default Value | Description                                                       | Type   | Access    |
    * |---------|--------------------------------|---------------|-------------------------------------------------------------------|--------|-----------|
    * | 0x2100  | Device EEPROM lock             | 1 (locked)    | Write the key (0x3edeb7aa) to unlock, anything else to lock.      | uint32 | read write|
    * | 0x2101  | Device EEPROM version          | N/A           |                                                                   | uint16 | read only |
    * | 0x2102  | Device EEPROM subversion       | N/A           |                                                                   | uint8  | read only |
    * | 0x2103  | Part configuration             | N/A           |                                                                   | uint8  | read only |
    * | 0x2104  | Part configuration version     | N/A           |                                                                   | uint8  | read only |
    * | 0x2105  | Maximum positive current       | N/A           |                                                                   | uint16 | read only |
    * | 0x2106  | Maximum negative current       | N/A           |                                                                   | uint16 | read only |
    * | 0x2107  | OQC result                     | N/A           | Encoding: 0x00 = None, 0x01 = Pass, 0x02 = Fail                   | uint8  | read only |
    * | 0x2108  | Production Time-stamp          | N/A           | Unix Time format (seconds since 1.1.1970)                         | uint32 | read only |
    * | 0x2109  | Force device EEPROM re-parsing | N/A           | Read register to trigger. Automatic parsing of device EEPROM happens only at system start up | uint32 | read only |
    * | 0x210A  | Device EEPROM size             | N/A           |                                                                   | uint16 | read only |
    *
    *
    *
    * Vector map (vectors have their own address space):
    * Address | Name                  | Default  | Description      | Format and value | Access    |
    * --------|-----------------------|----------|------------------|------------------|-----------|
    * 0x2100  |Firmware SN            |          | bytes up to 0x7f | bytes            | read write|
    * 0x2101  |Device serial number   |          | 8 bytes SN       | ascii string     | read only |
    *

## Constructor & Destructor Documentation

## ◆ __init__()

optoKummenberg.registers.MiscSystems.DeviceEEPROM.__init__ | ( |  | self,
|  | int | channel = 0,
|  |  | board = None )

## Member Function Documentation

## ◆ _GetEEPROMSegment()

optoKummenberg.registers.MiscSystems.DeviceEEPROM._GetEEPROMSegment | ( |  | self,
|  |  | index,
|  |  | count )
| protected

## ◆ _SetEEPROMSegment()

optoKummenberg.registers.MiscSystems.DeviceEEPROM._SetEEPROMSegment | ( |  | self,
|  |  | index,
|  |  | vector )
| protected

## ◆ EEPROMLockEnable()

optoKummenberg.registers.MiscSystems.DeviceEEPROM.EEPROMLockEnable | ( |  | self,
|  |  | enable = True )

Enables/disables EEPROM writing.

## ◆ GetEEPROM()

optoKummenberg.registers.MiscSystems.DeviceEEPROM.GetEEPROM | ( |  | self,
|  |  | index,
|  |  | count )

Gets the EEPROM data of the device connected to this channel.

## ◆ GetEEPROMSize()

optoKummenberg.registers.MiscSystems.DeviceEEPROM.GetEEPROMSize | ( |  | self | ) |

Gets the size of the EEPROM (in bytes) of the device connected to this channel.

## ◆ GetEEPROMsubversion()

optoKummenberg.registers.MiscSystems.DeviceEEPROM.GetEEPROMsubversion | ( |  | self | ) |

Gets the EEPROM subversion of the device connected to this channel.

## ◆ GetEEPROMversion()

optoKummenberg.registers.MiscSystems.DeviceEEPROM.GetEEPROMversion | ( |  | self | ) |

Gets the EEPROM version of the device connected to this channel.

## ◆ GetMaxNegCurrent()

optoKummenberg.registers.MiscSystems.DeviceEEPROM.GetMaxNegCurrent | ( |  | self | ) |

Gets the maximum negative current value (as absolute value) of the device connected to this channel.

## ◆ GetMaxPosCurrent()

optoKummenberg.registers.MiscSystems.DeviceEEPROM.GetMaxPosCurrent | ( |  | self | ) |

Gets the maximum positive current value (as absolute value) of the device connected to this channel.

## ◆ GetOQCresult()

optoKummenberg.registers.MiscSystems.DeviceEEPROM.GetOQCresult | ( |  | self | ) |

Gets the OQC result of the device connected to this channel.

## ◆ GetPartConfig()

optoKummenberg.registers.MiscSystems.DeviceEEPROM.GetPartConfig | ( |  | self | ) |

Gets the part configuration of the device connected to this channel.

## ◆ GetPartConfigVersion()

optoKummenberg.registers.MiscSystems.DeviceEEPROM.GetPartConfigVersion | ( |  | self | ) |

Gets the part configuration version of the device connected to this channel.

## ◆ GetProdTime()

optoKummenberg.registers.MiscSystems.DeviceEEPROM.GetProdTime | ( |  | self | ) |

Gets the production timestamp of the device connected to this channel.

## ◆ GetSerialNumber()

optoKummenberg.registers.MiscSystems.DeviceEEPROM.GetSerialNumber | ( |  | self | ) |

Gets the serial number of the device connected to this channel.

## ◆ help()

optoKummenberg.registers.MiscSystems.DeviceEEPROM.help | ( |  | ) |
| static

## ◆ ReparseEEPROM()

optoKummenberg.registers.MiscSystems.DeviceEEPROM.ReparseEEPROM | ( |  | self | ) |

After writing new EEPROM, configuration needs to be reparsed by this method.

## ◆ SetEEPROM()

optoKummenberg.registers.MiscSystems.DeviceEEPROM.SetEEPROM | ( |  | self,
|  |  | index,
|  |  | vector )

Sets the EEPROM data of the device connected to this channel.

## ◆ SetMaxNegCurrent()

optoKummenberg.registers.MiscSystems.DeviceEEPROM.SetMaxNegCurrent | ( |  | self,
|  |  | negCurrent )

## ◆ SetMaxPosCurrent()

optoKummenberg.registers.MiscSystems.DeviceEEPROM.SetMaxPosCurrent | ( |  | self,
|  |  | posCurrent )

## ◆ SetSerialNumber()

optoKummenberg.registers.MiscSystems.DeviceEEPROM.SetSerialNumber | ( |  | self,
|  |  | serial )

## ◆ VerifyEEPROM()

optoKummenberg.registers.MiscSystems.DeviceEEPROM.VerifyEEPROM | ( |  | self,
|  |  | index,
|  |  | vector )

Compares stored EEPROM with vector provided as parameter.

## Member Data Documentation

## ◆ channel

optoKummenberg.registers.MiscSystems.DeviceEEPROM.channel = channel

## ◆ eeprom

optoKummenberg.registers.MiscSystems.DeviceEEPROM.eeprom = {'id': self.sys_id << 8, 'type': bytes}

## ◆ eeprom_size

dict optoKummenberg.registers.MiscSystems.DeviceEEPROM.eeprom_size

Initial value:
= {'id': self.sys_id << 8 | 0x0a, 'type': int, 'unit': None, 'range': None, 'default': 0.0,
'value': 0}

## ◆ eeprom_subversion

dict optoKummenberg.registers.MiscSystems.DeviceEEPROM.eeprom_subversion

Initial value:
= {'id': self.sys_id << 8 | 0x02, 'type': int, 'unit': None, 'range': None, 'default':
0.0, 'value': 0}

## ◆ eeprom_version

dict optoKummenberg.registers.MiscSystems.DeviceEEPROM.eeprom_version

Initial value:
= {'id': self.sys_id << 8 | 0x01, 'type': int, 'unit': None, 'range': None, 'default':
0.0, 'value': 0}

## ◆ lock

dict optoKummenberg.registers.MiscSystems.DeviceEEPROM.lock

Initial value:
= {'id': self.sys_id << 8 | 0x00, 'type': float, 'unit': None, 'range': None, 'default': 0.0,
'value': 0.434995}

## ◆ max_neg_current

dict optoKummenberg.registers.MiscSystems.DeviceEEPROM.max_neg_current

Initial value:
= {'id': self.sys_id << 8 | 0x06, 'type': float, 'unit': None, 'range': None,
'default': 0.0, 'value': 0}

## ◆ max_pos_current

dict optoKummenberg.registers.MiscSystems.DeviceEEPROM.max_pos_current

Initial value:
= {'id': self.sys_id << 8 | 0x05, 'type': float, 'unit': None, 'range': None,
'default': 0.0, 'value': 0}

## ◆ oqc_result

dict optoKummenberg.registers.MiscSystems.DeviceEEPROM.oqc_result

Initial value:
= {'id': self.sys_id << 8 | 0x07, 'type': int, 'unit': None, 'range': None,
'default': 0, 'value': 0}

## ◆ part_config

dict optoKummenberg.registers.MiscSystems.DeviceEEPROM.part_config

Initial value:
= {'id': self.sys_id << 8 | 0x03, 'type': int, 'unit': None, 'range': None,
'default': 0, 'value': 0}

## ◆ part_config_version

dict optoKummenberg.registers.MiscSystems.DeviceEEPROM.part_config_version

Initial value:
= {'id': self.sys_id << 8 | 0x04, 'type': int, 'unit': None, 'range': None,
'default': 0, 'value': 0}

## ◆ prod_time

dict optoKummenberg.registers.MiscSystems.DeviceEEPROM.prod_time

Initial value:
= {'id': self.sys_id << 8 | 0x08, 'type': int, 'unit': None, 'range': None,
'default': 0, 'value': 0}

## ◆ reparse

dict optoKummenberg.registers.MiscSystems.DeviceEEPROM.reparse

Initial value:
= {'id': self.sys_id << 8 | 0x09, 'type': int, 'unit': None, 'range': None, 'default': 0.0,
'value': 0}

## ◆ serial_number

optoKummenberg.registers.MiscSystems.DeviceEEPROM.serial_number = {'id': self.sys_id << 8 | 0x01, 'type': bytes}

## ◆ sys_id

int optoKummenberg.registers.MiscSystems.DeviceEEPROM.sys_id = 0x21

The documentation for this class was generated from the following file:

- C:/git/142-421-00_optoKummenberg/src/main/python/optoKummenberg/registers/MiscSystems.py